Bug 1739836 - Shutdown or reboot does not complete with kernel series 5.2
Summary: Shutdown or reboot does not complete with kernel series 5.2
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-11 05:02 UTC by Silviu C.
Modified: 2020-05-26 18:26 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 18:26:01 UTC
Type: Bug


Attachments (Terms of Use)
Result of running journalctl -b -1 > previous_boot.txt (1.57 MB, text/plain)
2019-08-11 05:02 UTC, Silviu C.
no flags Details
result of running journalctl --no-hostname -k > dmesg.txt (77.05 KB, text/plain)
2019-08-11 05:04 UTC, Silviu C.
no flags Details
basic system info output from inxi (709 bytes, text/plain)
2019-08-11 15:48 UTC, Silviu C.
no flags Details
Result of running journalctl -b -1 with kernel 5.2.7 (831.10 KB, text/plain)
2019-08-12 13:14 UTC, Silviu C.
no flags Details
Photos of tty output during shutdown (15.27 MB, application/zip)
2019-08-16 06:48 UTC, Silviu C.
no flags Details
"screenshot" (368.87 KB, image/jpeg)
2020-03-10 16:01 UTC, Rudolf E. Steiner
no flags Details

Description Silviu C. 2019-08-11 05:02:49 UTC
Created attachment 1602561 [details]
Result of running journalctl -b -1 > previous_boot.txt

1. Please describe the problem:

The system doesn't always finish shutting down or rebooting. It just hangs. I have to force it using the power button

2. What is the Version-Release number of the kernel:

5.2.6-200.fc30.x86_64

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :

It works fine with the 5.1 series. The latest I have on my machines and which I decided to pin is "kernel-5.1.20-300.fc30.x86_64". The problem started with the 5.2 kernels. I have these installed:

kernel-5.2.6-200.fc30.x86_64
kernel-5.2.5-200.fc30.x86_64


4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:

If I start the system and then reboot it, it seems it does it just fine. After using it for many hours, something seems to happen and it always triggers after many hours (for example, when I shutdown the system before going to sleep)

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:

I don't know. 


6. Are you running any modules that not shipped with directly Fedora's kernel?:

Yes. The nvidia driver, version 430.40

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Comment 1 Silviu C. 2019-08-11 05:04:12 UTC
Created attachment 1602562 [details]
result of running journalctl --no-hostname -k > dmesg.txt

Comment 2 Diego Vasconcelos 2019-08-11 14:27:49 UTC
Same issue here.

Fedora 30
kernel 5.2.7-200
Intel i5-8400
GPU Intel UHD Graphics 630
Gigabyte HD3P/Z370

Comment 3 Silviu C. 2019-08-11 15:48:13 UTC
Created attachment 1602627 [details]
basic system info output from inxi

Comment 4 Silviu C. 2019-08-12 13:14:32 UTC
Created attachment 1602933 [details]
Result of running journalctl -b -1 with kernel 5.2.7

Last night it did the same thing. I decided to wait more (like more than 3 minutes) and eventually I heard the mechanical drive in my system shutdown. However, the screen was still on and so were the fans.

Problem still happens with 5.2.7-200.fc30.x86_64

Comment 5 Norman Davidson 2019-08-14 15:11:04 UTC
Same problem here.

I also have a Gigabyte mobo (also a Z390) but upgrading bios to F8 seems to have solved the problem.

Comment 6 Silviu C. 2019-08-14 15:27:10 UTC
(In reply to Norman Davidson from comment #5)
> Same problem here.
> 
> I also have a Gigabyte mobo (also a Z390) but upgrading bios to F8 seems to
> have solved the problem.

Interesting. The only change they list on their page is microcode updates which usually get picked up by distros anyway, regardless of mobo manufacturers.

Do you also boot using UEFI mode?



Hmm... not looking forward to re-doing my fan curves :/

Comment 7 Norman Davidson 2019-08-14 15:37:21 UTC

(In reply to Silviu C. from comment #6)
> (In reply to Norman Davidson from comment #5)
> > Same problem here.
> > 
> > I also have a Gigabyte mobo (also a Z390) but upgrading bios to F8 seems to
> > have solved the problem.
> 
> Interesting. The only change they list on their page is microcode updates
> which usually get picked up by distros anyway, regardless of mobo
> manufacturers.
> 
> Do you also boot using UEFI mode?
> 
> 
> 
> Hmm... not looking forward to re-doing my fan curves :/

Yes, I do boot using UEFI and yes on the microcode point. But, so far, so good!

Comment 8 Silviu C. 2019-08-14 15:42:28 UTC
There's a discussion going on here with similar issues: https://devtalk.nvidia.com/default/topic/1057524/linux/system-seems-locked-while-rebooting-with-linux-5-2-1-and-nvidia-drivers-430-34-or-430-26/1

No conclusion has been drawn yet

Comment 9 Norman Davidson 2019-08-14 16:06:19 UTC
(In reply to Silviu C. from comment #8)
> There's a discussion going on here with similar issues:
> https://devtalk.nvidia.com/default/topic/1057524/linux/system-seems-locked-
> while-rebooting-with-linux-5-2-1-and-nvidia-drivers-430-34-or-430-26/1
> 
> No conclusion has been drawn yet

Thanks for that.

I forgot to mention that my gpu is actually an AMD.

Comment 10 Diego Vasconcelos 2019-08-14 21:44:45 UTC
My mobo is HD3P/Z370 latest bios F12.

Problem still happens with 5.2.8-200.fc30.x86_64.

Comment 11 Silviu C. 2019-08-16 06:48:01 UTC
Created attachment 1604296 [details]
Photos of tty output during shutdown

I logged off, switched to tty2, logged in and then issues a ''sudo shutdown - h now" command.

Comment 12 Silviu C. 2019-08-19 13:34:34 UTC
As Norman Davidson suggested, a BIOS update fixed the problem for me as well. I wonder whether the actual BIOS had anything new or if simply loading the default settings "Load optimized defaults" did something to fix whatever got b0rked.

Comment 13 daniel.a.jenson 2020-01-15 06:52:10 UTC
Same issue on 5.4.8

Comment 14 snip4 2020-02-28 22:45:38 UTC
FYI, I had the same issue with all 5.4 Fedora kernel series. Lately, my motherboard provider (Asus) launch a new BIOS version, updating Intel ME, microcode, and mitigations stuff. Reboot and voilá, problem solved.

Comment 15 Justin M. Forbes 2020-03-03 16:27:20 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 30 kernel bugs.

Fedora 30 has now been rebased to 5.5.7-100.fc30.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 31, and are still experiencing this issue, please change the version to Fedora 31.

If you experience different issues, please open a new bug report for those.

Comment 16 Rudolf E. Steiner 2020-03-10 10:35:05 UTC
Same issue here.

Board: ASUSTeK H170M-PLUS
BIOS-firmware: 3805 (newest)
Kernel: kernel-5.5.8-200.fc31.x86_64
GPU-drivers: asus_wmi, i915, nouveau

As described by the reporter, the problem only arises after the system has been up for a longer time.

Please update the version of the bug report to "Fedora 31"!

Comment 17 Rudolf E. Steiner 2020-03-10 16:01:39 UTC
Created attachment 1668983 [details]
"screenshot"

Comment 18 Ben Cotton 2020-04-30 20:21:46 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 19 Ben Cotton 2020-05-26 18:26:01 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.